# services/mailu/front-lb.yaml
apiVersion: v1
kind: Service
metadata:
  name: mailu-front-lb
  namespace: mailu-mailserver
  annotations:
    metallb.universe.tf/address-pool: communication-pool
spec:
  type: LoadBalancer
  loadBalancerClass: metallb
  loadBalancerIP: 192.168.22.4
  externalTrafficPolicy: Cluster
  selector:
    app.kubernetes.io/component: front
    app.kubernetes.io/instance: mailu
    app.kubernetes.io/name: mailu
  ports:
    - name: smtp
      port: 25
      targetPort: 25
      protocol: TCP
    - name: smtps
      port: 465
      targetPort: 465
      protocol: TCP
    - name: submission
      port: 587
      targetPort: 587
      protocol: TCP
    - name: imaps
      port: 993
      targetPort: 993
      protocol: TCP
    - name: pop3s
      port: 995
      targetPort: 995
      protocol: TCP
    - name: sieve
      port: 4190
      targetPort: 4190
      protocol: TCP
